"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _conf = _interopRequireDefault(require("../../v-x-e-table/src/conf"));
var _xeUtils = _interopRequireDefault(require("xe-utils"));
var _size = require("../../hooks/size");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = (0, _vue.defineComponent)({
  name: 'VxeCheckboxGroup',
  props: {
    modelValue: Array,
    disabled: Boolean,
    max: {
      type: [String, Number],
      default: null
    },
    size: {
      type: String,
      default: function () {
        return _conf.default.checkbox.size || _conf.default.size;
      }
    }
  },
  emits: ['update:modelValue', 'change'],
  setup: function (props, context) {
    var slots = context.slots,
      emit = context.emit;
    var $xeform = (0, _vue.inject)('$xeform', null);
    var $xeformiteminfo = (0, _vue.inject)('$xeformiteminfo', null);
    var xID = _xeUtils.default.uniqueId();
    var computeIsMaximize = (0, _vue.computed)(function () {
      var modelValue = props.modelValue,
        max = props.max;
      if (max) {
        return (modelValue ? modelValue.length : 0) >= _xeUtils.default.toNumber(max);
      }
      return false;
    });
    var computeMaps = {
      computeIsMaximize: computeIsMaximize
    };
    var $xecheckboxgroup = {
      xID: xID,
      props: props,
      context: context,
      getComputeMaps: function () {
        return computeMaps;
      }
    };
    (0, _size.useSize)(props);
    var checkboxGroupMethods = {
      dispatchEvent: function (type, params, evnt) {
        emit(type, Object.assign({
          $checkboxGroup: $xecheckboxgroup,
          $event: evnt
        }, params));
      }
    };
    var checkboxGroupPrivateMethods = {
      handleChecked: function (params, evnt) {
        var checked = params.checked,
          label = params.label;
        var checklist = props.modelValue || [];
        var checkIndex = checklist.indexOf(label);
        if (checked) {
          if (checkIndex === -1) {
            checklist.push(label);
          }
        } else {
          checklist.splice(checkIndex, 1);
        }
        emit('update:modelValue', checklist);
        $xecheckboxgroup.dispatchEvent('change', Object.assign({
          checklist: checklist
        }, params), evnt);
        // 自动更新校验状态
        if ($xeform && $xeformiteminfo) {
          $xeform.triggerItemEvent(evnt, $xeformiteminfo.itemConfig.field, checklist);
        }
      }
    };
    Object.assign($xecheckboxgroup, checkboxGroupMethods, checkboxGroupPrivateMethods);
    var renderVN = function () {
      return (0, _vue.h)('div', {
        class: 'vxe-checkbox-group'
      }, slots.default ? slots.default({}) : []);
    };
    $xecheckboxgroup.renderVN = renderVN;
    (0, _vue.provide)('$xecheckboxgroup', $xecheckboxgroup);
    return renderVN;
  }
});
exports.default = _default;